Skip to main content
`Ctrl`+`K`

# SNESShellSetContext

sets the context for a `SNESSHELL`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESShellSetContext(SNES snes, PetscCtx ctx)

Logically Collective

## Input Parameters

- snes - the `SNESSHELL`

- ctx - the context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSHELL`, `SNESCreateShell()`, `SNESShellGetContext()`

## Level

advanced

## Location

src/snes/impls/shell/snesshell.c

## Examples

src/snes/tutorials/ex35.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages